summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAntonio Orefice2015-06-09 09:03:13 +0200
committerAntonio Orefice2015-06-09 09:03:13 +0200
commit57308ebd48d14af736bcf2d77eebf85aa5d57f10 (patch)
treefeab209c2c8caec00137d2b71717156c02c98cf6
downloadaur-57308ebd48d14af736bcf2d77eebf85aa5d57f10.tar.gz
Initial import
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD41
2 files changed, 58 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..bb00c5ad875
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = caled-git
+ pkgdesc = caled is a visual editor for LUT calibration files, it uses dispwin to upload and download the LUTs
+ pkgver = 20150109
+ pkgrel = 1
+ url = https://github.com/kokoko3k/caled
+ arch = any
+ license = gpl
+ makedepends = gambas3-devel git
+ depends = gambas3-gb-image>=3.0.0
+ depends = gambas3-runtime>=3.3.0
+ depends = gambas3-gb-qt4>=3.3.0
+ depends = gambas3-gb-form>=3.3.0
+ depends = gambas3-gb-image>=3.3.0
+ depends = argyllcms
+
+pkgname = caled-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9715e5b775b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,41 @@
+# Maintainer : Antonio Orefice <xt7player@gmail.com>
+
+
+pkgname=caled-git
+pkgver=20150109
+pkgrel=1
+pkgdesc="caled is a visual editor for LUT calibration files, it uses dispwin to upload and download the LUTs"
+arch=('any')
+url="https://github.com/kokoko3k/caled"
+license=('gpl')
+
+depends=('gambas3-gb-image>=3.0.0'
+ 'gambas3-runtime>=3.3.0'
+ 'gambas3-gb-qt4>=3.3.0'
+ 'gambas3-gb-form>=3.3.0'
+ 'gambas3-gb-image>=3.3.0'
+ 'argyllcms')
+
+makedepends=('gambas3-devel git')
+
+_gitroot="https://github.com/kokoko3k/caled.git"
+
+build() {
+ cd $srcdir
+ rm -R $srcdir/caled &>/dev/null || echo "No old repository found, proceding to git clone..."
+ git clone --depth 1 $_gitroot || return 1
+
+ cd $srcdir/caled
+
+ gbc3 -e -a -g -t -p -m
+ gba3
+}
+
+package() {
+ cd caled
+ install -d ${pkgdir}/usr/bin
+ install -m755 caled.gambas ${pkgdir}/usr/bin/caled
+# install -D xt7-player-git.png ${pkgdir}/usr/share/pixmaps/xt7-player-git.png
+# install -D xt7-player-git.desktop ${pkgdir}/usr/share/applications/xt7-player-git.desktop
+}
+